<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ev_routes', function (Blueprint $table) {
            $table->id();
            $table->foreignId('ev_company_id')->constrained('ev_companies')->cascadeOnDelete();
            $table->foreignId('from_destination_id')->constrained('destinations')->cascadeOnDelete();
            $table->foreignId('to_destination_id')->constrained('destinations')->cascadeOnDelete();
            $table->boolean('is_round_trip')->default(false);
            $table->boolean('is_active')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ev_routes');
    }
};
